<google-translate-form *ngIf="googleTranslateService.serviceEnabled; else googleApiKeyMissing"></google-translate-form>

<ng-template #googleApiKeyMissing>
  <div class="form-row">
    <div class="form-group col-md-12">
      <label class="label" for="keyInput">Google Api Key</label>
      <div class="input-group">
        <input #token id="keyInput" type="text" [style.width.%]="80"/>
        <div class="input-group-append">
          <button class="btn btn-outline-danger"
                  title="GoogleTranslate"
                  (click)="setGoogleTranslateApiKey(token.value)">Enable Service
          </button>
        </div>
      </div>
    </div>
  </div>
</ng-template>
